
<div align="center">
  <img src="icons/LittleLines.svg" width="192" height="192" alt="Logo">
  <h1>Little Lines</h1>

  <a href="https://www.gnu.org/licenses/agpl-3.0.en.html">
    <img alt="License: AGPLv3" src="https://shields.io/badge/License-AGPLv3-blueviolet.svg">
  </a>
    <img alt="Service Status" src="https://status.techtransthai.org/api/badge/7/status">
  </a>

 



  <h3>ระบบนำทางสำหรับล้อขนาดเล็ก</h3>

  <a href="https://little-lines.techtransthai.org">เข้าใช้งานเว็บแอป</a>
  &nbsp;•&nbsp;
  <a href="https://codeberg.org/TechTransThai/little-lines/wiki">เอกสาร</a>

  <h5>ร่วมพูดคุยกับเรา:</h5>
  <a href="https://discord.gg/3tRdRE3tGv">
    <img alt="Discord" src="https://img.shields.io/discord/1222303235814199306?label=Discord&color=blueviolet">
  </a>
</div>

## Little Lines คืออะไร

Littles Lines คือระบบนำทางสำหรับล้อขนาดเล็ก ไม่ว่าจะเป็นวีลแชร์ กระเป๋าเดินทาง รถเข็นเด็ก นอกจากนี้ยังสามารถใช้นำทางสำหรับการเดินเท้าไปยังที่ต่าง ๆ ได้อีกด้วย โดยเว็บแอปที่ เขียนด้วย Vue นี้จะนำข้อมูลจาก OpenStreetMap มาใช้ในการคำนวณเส้นทางและแสดงผลให้ผู้ใช้ต่อไป

## การมีส่วนร่วมกับโปรเจกต์

คุณสามารถสนับสนุนโปรเจกต์นี้ได้ผ่านหลากหลายช่องทาง ไม่ว่าจะเป็น
- นำเสนอไอเดีย หรือส่ง Feedback ใน Discord ของเรา
- เพิ่มข้อมูลที่จำเป็นสำหรับการนำทางลงในแพลตฟอร์ม OpenStreetMap
- ร่วมพัฒนาตัวเว็บแอป Little Lines เอง

## การติดตั้ง

สำหรับการพัฒนาด้วย NPM

```
$ git clone https://codeberg.org/TechTransThai/little-lines.git
$ cd little-lines
$ npm i
$ npm run dev
```


สำหรับ Production ด้วย Podman/Docker

```
$ git clone https://codeberg.org/TechTransThai/little-lines.git
$ cd little-lines
$ podman build -t littlelines:20230720 .
$ podman run --name littlelines -p 8080:80 -d littlelines:20230720
```